<ol class="page-breadcrumb">
  [[> Partial:breadcrumb iri=(resolvePrefix ":Start") label="Home"]]
  [[> Partial:breadcrumb iri=(resolvePrefix ":listPlaces") label="Places"]]
  [[> Partial:breadcrumbViewEntity entity="Place" urlparam="placeiri"]]
</ol>

[[> Partial:contentStart]]

[[> Partial:pageHeader2 param="placeiri" prefix="Place: "]]

<div class="form-container">
  <semantic-form
    subject="[[urlParam 'placeiri']]"
    browser-persistence="false"
    persistence="ldp"
    post-action="redirect"
    fields="[[fieldDefinitions
      alias_name='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/alias_name'
      ismi_id='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/ismi_id'
      ismi_public='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/ismi_public'
      label='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/label1'
      notes='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/notes'
      notes_internal='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/notes_internal'
      part_of='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/part_of_place'
      preferred_name='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/preferred_name'
      record_type='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/place_record_type'
      record_type_2='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/place_record_type_2'
      reference='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/reference'
      place_type='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/place_type'
      transaction_log='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/transaction_log'
    ]]"
    >

    <bs-tab-container 
      id="place-edit-form" 
      class="bs-left-vertical-tabs" 
      default-active-key='[[#if (urlParam "tab" )]][[urlParam "tab"]][[else]]description[[/if]]'
    >
      <div>
        <bs-col sm="2" >
          <bs-nav bs-style="tabs" stacked="true">

            <bs-nav-item event-key="description">
              Description
            </bs-nav-item>

            <bs-nav-item event-key="place">
              Place
            </bs-nav-item>

            <bs-nav-item event-key="references">
              References
            </bs-nav-item>

            [[#if (hasPermission "forms:ldp:update")]]
              <bs-nav-item event-key="internal" class="hidden-field">
                Internal
              </bs-nav-item>
              <bs-nav-item event-key="delete">
                Delete
              </bs-nav-item>
            [[/if]]

          </bs-nav>
        </bs-col>
        <bs-col sm="10">

          <bs-tab-content animation="true">

            <bs-tab-pane event-key="description">
              <h3>Description</h3>

              <semantic-form-text-input for="label"></semantic-form-text-input>

              <semantic-form-text-input for="notes" multiline="true"></semantic-form-text-input>

            </bs-tab-pane>

            <bs-tab-pane event-key="place">
              <h3>Place</h3>
  
              <semantic-form-composite-input for="preferred_name"
                new-subject-template="/name/preferred"
                fields="[[fieldDefinitions
                  label='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/name1'
                ]]"
              >
                <semantic-form-text-input for="label" languages='["ar-latn","ar","en"]'>
                </semantic-form-text-input>
              </semantic-form-composite-input>
              
              <semantic-form-composite-input for="alias_name"
                new-subject-template="/name/{{UUID}}"
                fields="[[fieldDefinitions
                  label='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/name1'
                ]]"
              >
                <semantic-form-text-input for="label" languages='["ar-latn","ar","en"]'>
                </semantic-form-text-input>
              </semantic-form-composite-input>

              <semantic-form-select-input for="place_type"></semantic-form-select-input>
              <semantic-form-select-input for="part_of"></semantic-form-select-input>
            </bs-tab-pane>

            <bs-tab-pane event-key="references">
            
              <semantic-form-composite-input for="reference"
                    new-subject-template="http://content.mpiwg-berlin.mpg.de/ns/ismi/reference/{{UUID}}"
                    fields="[[fieldDefinitions
                      item='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/reference_item'
                      note='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/reference_note'
                      ismi_id='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/ismi_id'
                    ]]">
                  <semantic-form-autocomplete-input for="item"></semantic-form-autocomplete-input>
                  <semantic-form-text-input for="note"></semantic-form-text-input>
                  <semantic-form-text-input for="ismi_id" readonly="true" 
                    default-value="TBD"></semantic-form-text-input>
              </semantic-form-composite-input>

            </bs-tab-pane>
            
            <bs-tab-pane event-key="delete">

              [[> Partial:deleteButton 
                back=(resolvePrefix ":editPlace")
                param="placeiri"
                entityType="Place"
                redirect=(resolvePrefix ":listPlaces")
              ]]

            </bs-tab-pane>

            <bs-tab-pane event-key="internal">
              <h3>Internal</h3>
              <semantic-form-text-input for="ismi_id"></semantic-form-text-input>
              <semantic-form-checkbox-input for="ismi_public"></semantic-form-checkbox-input>
              <semantic-form-text-input for="notes_internal" multiline="true"></semantic-form-text-input>
              <semantic-form-text-input for="record_type"></semantic-form-text-input>
              <semantic-form-text-input for="record_type_2"></semantic-form-text-input>
              <semantic-form-text-input for="transaction_log" multiline="true"></semantic-form-text-input>
            </bs-tab-pane>

          </bs-tab-content>

          <div class="gap text-right">
            <button name="submit" class="btn btn-primary btn-md">Save</button>
            <semantic-form-recover-notification class="alert alert-info"></semantic-form-recover-notification>
            <semantic-form-errors></semantic-form-errors>
          </div>

        </bs-col>
      <div>
    </bs-tab-container>

  </semantic-form>
</div>

[[> Partial:contentEnd]]
